## util-linux 2.30.1

=== debian/changelog ===
util-linux (2.30.1-0ubuntu4) artful; urgency=medium

  * Merge debian packaging changes in 2.29.2-3 and 2.29.2-4.
  * Update version numbers in breaks/replaces.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Aug 2017 11:15:20 +0100

util-linux (2.29.2-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.1
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Aug 2017 14:31:09 +0200

util-linux (2.29.2-3) experimental; urgency=medium

  * Enable more tests by build-dep on bc, socat and netbase (Closes: #867183)
  * Move findmnt from mount to util-linux package
  * Make mount package non-Essential (Important: yes)
  * Split out cfdisk, fdisk and sfdisk to separate package
  * Switch fdisk-udeb Priority from extra to optional
  * Add util-linux NEWS entry for fdisk package split
  * Add mount NEWS entry about now being non-Essential

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 06 Aug 2017 14:59:02 +0200

util-linux (2.30.1-0ubuntu3) artful; urgency=medium

  * Cherrypick upstream patches to support getrandom() fallbacks on older
    kernels. LP: #1708635

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Aug 2017 11:15:20 +0100

util-linux (2.30.1-0ubuntu2) artful; urgency=medium

  * Add Breaks/Replaces to facilitate upgrades due to util-linux taking
    over s390-tools in shipping chmem/lsmem utilities.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Aug 2017 16:17:09 +0100

util-linux (2.30.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Drop Disable-the-fallback-clause-in-hwclock-when-dev-rtc-.patch, applied upstream.
  * Drop lscpu-use-sysfs-for-tables-access-if-available.patch, cherrypick.
  * Add bison build-dep.
  * Ship lsmem/chmem utilities. LP: #1704795
  * Update symbols files.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Jul 2017 14:43:46 +0100

util-linux (2.29.2-2ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
      RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
      packaging and this does not affect Ubuntu ≥ 16.04 any more.
    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
      needs to be kept until after 18.04 LTS.
    - Add fallocate binary to util-linux-udeb.
    - Cherrypick upstream fix to prevent lscpu crash on arm64 by
      accessing DMI in sysfs instead of /dev/mem.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Jul 2017 12:53:00 +0100

util-linux (2.29.2-2) unstable; urgency=medium

  "The big post-release cleanup."

  [ Andreas Henriksson ]
  * Add DEP12 upstream metadata (Closes: #852731)
  * Revert "Add configure flag to make libmount skip /etc/mtab"
  * Drop explicit --disable-silent-rules configure flag
  * Stop shipping the deprecated 'pg' utility
  * Revert "Explicitly (re)enable deprecated pg utility"
  * Stop shipping deprecated 'tunelp' utility
  * Stop shipping the deprecated 'line' utility
  * Drop explicitly passing CC for cross-building
  * Use configure flags to disable utils shipped by bsdmainutils
  * Revert "Attempt to work around debootstrap problems for hwclock.sh"
  * Drop no longer needed lintian overrides for dropped workaround
  * Drop obsolete fdisk reclaim on PPC
  * Revert "Rename libuuid user to uuidd in libuuidd1 postinst as well"
  * Revert "libuuid1: add passwd dependency for user migration"
  * Drop obsolete uuid-runtime user/group migration code
  * Remove 'pg' from being a pager alternative
  * Stop shipping deprecated tailf utility
  * Mention tailf removal in util-linux.NEWS

  [ Christian Hofstaedtler ]
  * Fix debhelper -s deprecation warning (Closes: #852228)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Jul 2017 03:19:46 +0200

util-linux (2.29-1ubuntu3) artful; urgency=medium

  * Cherrypick upstream fix to prevent lscpu crash on arm64 by
    accessing DMI in sysfs instead of /dev/mem. LP: #1674258

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 18 May 2017 10:49:34 +0800
