=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: util-linux
-Build-Depends: debhelper (>= 10),
+Build-Depends: bc <!stage1 !nocheck>,
+               debhelper (>= 10),
                dh-exec (>= 0.13),
                dpkg-dev (>= 1.17.14),
                gettext,
@@ -8,18 +9,24 @@
                libncursesw5-dev,
                libpam0g-dev <!stage1>,
                libselinux1-dev (>= 2.6-3~) [linux-any],
+               libsystemd-dev [linux-any] <!stage1>,
                libtool,
                libudev-dev [linux-any] <!stage1>,
+               netbase <!stage1 !nocheck>,
                pkg-config,
                po-debconf,
+               socat <!stage1 !nocheck>,
+               systemd [linux-any] <!stage1>,
+               bison,
                zlib1g-dev
 Section: base
 Priority: required
-Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Andreas Henriksson <andreas@fatal.se>,
            Adam Conrad <adconrad@0c3.net>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-util-linux.git/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-util-linux.git
 
@@ -29,25 +36,25 @@
 Section: utils
 Essential: yes
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, fdisk
 Suggests: dosfstools, kbd | console-tools, util-linux-locales
 Replaces: bash-completion (<< 1:2.1-4.1~),
           sysvinit-utils (<< 2.88dsf-59.1~),
+          s390-tools (<< 1.37.0-0ubuntu7~),
           initscripts (<< 2.88dsf-59.2~),
-          mount (= 2.26.2-3),
-          mount (= 2.26.2-3ubuntu1)
+          mount (<< 2.30.1-0ubuntu4~)
 Breaks: bash-completion (<< 1:2.1-4.1~),
           grml-debootstrap (<< 0.68),
-          cloud-utils (<< 0.27-1~),
           sysvinit-utils (<< 2.88dsf-59.4~),
-          mount (= 2.26.2-3),
-          mount (= 2.26.2-3ubuntu1)
+          s390-tools (<< 1.37.0-0ubuntu7~),
+          mount (<< 2.30.1-0ubuntu4~)
 Multi-Arch: foreign
 Description: miscellaneous system utilities
  This package contains a number of important utilities, most of which
  are oriented towards maintenance of your system. Some of the more
- important utilities included in this package allow you to partition
- your hard disk, view kernel messages, and create new filesystems.
+ important utilities included in this package allow you to view kernel
+ messages, create new filesystems, view block device information,
+ interface with real time clock, etc.
 
 Package: util-linux-locales
 Architecture: all
@@ -66,10 +73,10 @@
 Package: mount
 Architecture: linux-any
 Build-Profiles: <!stage1>
-Essential: yes
+Important: yes
 Section: admin
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, util-linux (>= 2.30.1-0ubuntu4~)
 Suggests: nfs-common (>=1:1.1.0-13)
 Breaks: bash-completion (<< 1:2.1-4.3~)
 Replaces: bash-completion (<< 1:2.1-4.3~)
@@ -94,10 +101,33 @@
  Debian system: logger, renice, script, scriptreplay, and wall. The
  remaining standard BSD utilities are provided by bsdmainutils.
 
+Package: fdisk
+Architecture: any
+Build-Profiles: <!stage1>
+Important: yes
+Section: utils
+Priority: important
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: util-linux (<< 2.30.1-0ubuntu4~)
+Breaks: util-linux (<< 2.30.1-0ubuntu4~)
+Multi-Arch: foreign
+Description: collection of partitioning utilities
+ This package contains the classic fdisk, sfdisk and cfdisk partitioning
+ utilities from the util-linux suite.
+ .
+ The utilities included in this package allow you to partition
+ your hard disk. The utilities supports both modern and legacy
+ partition tables (eg. GPT, MBR, etc).
+ .
+ The fdisk utility is the classical text-mode utility.
+ The cfdisk utilitity gives a more userfriendly curses based interface.
+ The sfdisk utility is mostly for automation and scripting uses.
+
 Package: fdisk-udeb
 Architecture: hurd-any linux-any
 Build-Profiles: <!stage1>
-Priority: extra
+Priority: optional
 Section: debian-installer
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Package-Type: udeb
@@ -258,7 +288,7 @@
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: uuid-runtime
 Replaces: e2fsprogs (<< 1.34-1)
 Multi-Arch: same
@@ -277,7 +307,7 @@
 Section: utils
 Priority: optional
 Pre-Depends: libuuid1 (>= 2.25-5~), ${misc:Pre-Depends}
-Depends: adduser, passwd, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
 Replaces: e2fsprogs (<= 1.40.3-1ubuntu1)
 Multi-Arch: foreign
 Description: runtime components for the Universally Unique ID library
@@ -308,37 +338,3 @@
  .
  This is a minimal package for debian-installer.
 
-Package: uuid-dev
-Architecture: any
-Section: libdevel
-Priority: optional
-Depends: libc6-dev | libc-dev, libuuid1 (= ${binary:Version}), ${misc:Depends}
-Replaces: e2fslibs-dev (<< 1.15)
-Multi-Arch: same
-Description: Universally Unique ID library - headers and static libraries
- The libuuid library generates and parses 128-bit Universally Unique IDs
- (UUIDs). See RFC 4122 for more information.
- .
- This package contains the development environment for the uuid library.
-
-Package: util-linux-udeb
-Architecture: any
-Build-Profiles: <!stage1>
-Priority: optional
-Section: debian-installer
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Package-Type: udeb
-Description: stripped down miscellaneous system utilities, for debian-installer
- This is a minimal version of util-linux for debian-installer. It only
- contains the blkid binary at the moment.
-
-Package: setpriv
-Architecture: linux-any
-Build-Profiles: <!stage1>
-Section: admin
-Priority: optional
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: foreign
-Description: tool to run a program with different Linux privilege settings
- This package provides the setpriv command which allows the user to set or
