=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,9 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-CONFOPTS += --enable-line
 CONFOPTS += --libdir=/lib/$(DEB_HOST_MULTIARCH)
 CONFOPTS += --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-
-# Enable deprecated pg utility again as we're shipping it in the package.
-# Needs closer investigation if it can safely be removed.
-CONFOPTS += --enable-pg
+CONFOPTS += --localstatedir=/run
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFOPTS += --enable-raw
@@ -18,22 +14,16 @@
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev
 else
-	CONFOPTS += --without-systemd --with-udev
+	CONFOPTS += --with-systemd --with-udev
 endif
-CONFOPTS += --enable-tunelp
 endif
 
 # build static versions of programs used in fdisk-udeb and util-linux-udeb
 CONFOPTS += --enable-static-programs=fdisk,sfdisk,blkid
 
-CONFOPTS += --localstatedir=/run
-CONFOPTS += --disable-silent-rules
+# Help welcome packaging the (libmount) python bindings.
+# See http://bugs.debian.org/811361
 CONFOPTS += --without-python
-
-# never use /etc/mtab, it should be a link to /proc/mounts
-# but in case it isn't - just don't use it, go straight for
-# /proc/self/mountinfo or /proc/mounts.
-CONFOPTS += --enable-libmount-force-mountinfo
 
 # disable utilities shipped by other packages
 # => login
@@ -46,12 +36,12 @@
 CONFOPTS += --disable-eject
 # => passwd
 CONFOPTS += --disable-chfn-chsh
-
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	CROSS :=
-else
-	CROSS := CC="$(DEB_HOST_GNU_TYPE)-gcc -std=gnu99"
-endif
+# => bsdmainutils
+CONFOPTS += --disable-look
+CONFOPTS += --disable-hexdump
+CONFOPTS += --disable-col --disable-colcrt --disable-colrm --disable-column
+CONFOPTS += --disable-ul
+CONFOPTS += --disable-cal
 
 %:
 	dh $@
@@ -60,21 +50,19 @@
 	AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONFOPTS) $(CROSS)
-
-override_dh_auto_build:
-	dh_auto_build -- $(CROSS)
+	dh_auto_configure -- $(CONFOPTS)
 
 override_dh_auto_install:
 	dh_auto_install
+ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+	# Manually generate and install units to avoid missing files when
+        # util-linux.install gets executed in stage1 builds.
+	install -d debian/tmp/lib/systemd/system
+	make PATHFILES=sys-utils/fstrim.service sys-utils/fstrim.service
+	install -m644 sys-utils/fstrim.service debian/tmp/lib/systemd/system/fstrim.service
+	install -m644 sys-utils/fstrim.timer debian/tmp/lib/systemd/system/fstrim.timer
+endif
 	#
-	# the version in bsdmainutils seems newer.
-	rm -f debian/tmp/usr/bin/look debian/tmp/usr/share/man/man1/look.1
-	rm -f debian/tmp/usr/bin/hexdump debian/tmp/usr/share/man/man1/hexdump.1
-	# and it's less pain to just let bsmainutils deliver col for now.
-	rm -f debian/tmp/usr/bin/col* debian/tmp/usr/share/man/man1/col*.1
-	rm -f debian/tmp/usr/bin/ul debian/tmp/usr/share/man/man1/ul*.1
-	rm -f debian/tmp/usr/bin/cal debian/tmp/usr/share/man/man1/cal.1
 	# remove *.la files
 	rm -f debian/tmp/usr/lib/*/*.la
 
@@ -121,6 +109,10 @@
 	done
 	#
 	rm -rf debian/*-udeb/usr/share/doc
+	# automatically trim SSD drives
+	if [ -f debian/util-linux/sbin/fstrim ] ; then \
+	    install -D -m 755 debian/fstrim-all.cron debian/util-linux/etc/cron.weekly/fstrim; \
+	fi
 
 override_dh_installman:
 	dh_installman --language=C
@@ -136,8 +128,6 @@
 	# - update-rc.d manually handled in maintainers scripts as there
 	#   is special per-arch considerations.
 	dh_installinit --name=hwclock.sh --noscripts
-	# install /etc/default/hwclock
-	dh_installinit --name=hwclock
 	# install uuidd sysvinit script
 	make misc-utils/uuidd.rc
 	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
@@ -164,7 +154,7 @@
 		--add-udeb=libuuid1-udeb
 
 override_dh_fixperms:
-	dh_fixperms -i -s -Xusr/bin/wall -Xbin/mount -Xbin/umount
+	dh_fixperms -i -a -Xusr/bin/wall -Xbin/mount -Xbin/umount
 
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH_OS), linux)
