## util-linux 2.31.1

=== debian/changelog ===
util-linux (2.31.1-0.4ubuntu3.7) bionic-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via bash completion umount script
    - debian/patches/CVE-2018-7738.patch: use findmnt, escape a space in
      paths in bash-completion/umount.
    - CVE-2018-7738

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Sep 2020 14:43:15 -0400

util-linux (2.31.1-0.4ubuntu3.6) bionic; urgency=medium

  * d/p/hwclock_fix_audit_status.patch: reverse hwclock exit status
    so to match audit_log_user_message(3) semantics. (LP: #1865504)

 -- Joy Latten <joy.latten@canonical.com>  Thu, 05 Mar 2020 11:23:23 -0600

util-linux (2.31.1-0.4ubuntu3.5) bionic; urgency=medium

  * d/p/libblkid-xfs-log-check-for-reg-xfs-on-more-sectors.patch:
    fix ambivalent detection of bcache and xfs_external_log
    due to regular xfs on bcache backing device. (LP: #1858802)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 08 Jan 2020 15:31:23 -0300

util-linux (2.31.1-0.4ubuntu3.4) bionic; urgency=medium

  * d/p/prevent-fstrim-inside-container.patch:
    - Prevent fstrim to run inside a container environment.
    (LP: #1589289)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 22 Aug 2019 23:47:46 +0000

util-linux (2.31.1-0.4ubuntu3.3) bionic; urgency=medium

  * debian/patches/support_alternate_partition_sep.patch: support alternate
    partition separators. Common cases of no separator, using "p" only, and
    "-part" (the only previously supported), are covered now, which should
    let fdisk show partitions in a way closer to reality on most systems.
    Patch from Kyle Mahlkuch, with changes by Karel Zak. (LP: #1784347)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 15 Oct 2018 16:29:48 -0400

util-linux (2.31.1-0.4ubuntu3.2) bionic; urgency=medium

  * d/patches/do-not-block.patch, d/patches/do-block-a-bit:
    - Use getrandom() with GRND_NONBLOCK to avoid hangs in early boot
      when e.g. the partition is resized. Cherry picked from upstream.
      (LP: #1783810)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jul 2018 18:20:57 +0200

util-linux (2.31.1-0.4ubuntu3.1) bionic; urgency=medium

  * d/patches/Avoid-crash-in-min-max-caculation-when-cpu-0-being-o.patch:
    Cherry pick upstream patch to avoid SEGV in min/max frequency.
    LP: #1771345

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 16 May 2018 12:41:37 +0200

util-linux (2.31.1-0.4ubuntu3) bionic; urgency=medium

  * Remove obsolete upstart job files on upgrade of rfkill.  This change
    can be dropped after Ubuntu 18.04.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Mar 2018 22:47:34 +0000

util-linux (2.31.1-0.4ubuntu2) bionic; urgency=medium

  * Update s390-tools breaks/replaces, to the correct version for ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 02 Mar 2018 00:40:46 +0000

util-linux (2.31.1-0.4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
      RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Drop the Breaks: cloud-utils, Ubuntu has a different cloud-utils
      packaging and this does not affect Ubuntu ≥ 16.04 any more.
    - Add debian/util-linux.maintscript to clean upstart jobs on upgrade. This
      needs to be kept until after 18.04 LTS.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Cherrypick upstream patches to add zones support to lsmem/chmem.
    - lscpu: Decode ARM CPUs (patch taken from 2.32)

  * Enable fstrim.timer by default.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 14 Feb 2018 22:20:35 +0000

util-linux (2.31.1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick cramfs related patches from upstream
    - this fixes the testsuite failure seen on ppc64el.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 14 Feb 2018 15:53:19 +0100

util-linux (2.31.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install fstrim.timer and fstrim.service without enabling it by default
    (for now), see discussion in #732054 (Closes: #889668)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 Feb 2018 10:32:51 +0100

util-linux (2.31.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * lib/sha1: use proper WORDS_BIGENDIAN macro (Closes: #890318)

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Feb 2018 19:14:21 +0100

util-linux (2.31.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Bump debhelper compat to 11
  * debian/rules: Stop setting --localstatedir=/run
    - upstream uses runstatedir and dh compat 11 sets it automagically.
  * Ship new uuidparse command in uuid-runtime package
  * Take over the rfkill package
    - Priority bumped to important.
  * Drop Multiarch-support-in-util-linux-build.patch
  * Bump Standards-Version to 4.1.2
  * Downgrade all lib* packages to Priority: optional
  * Update blkid,fdisk,smartcols,uuid symbols files
  * Bump dependency version is shlibs files

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 Feb 2018 19:16:51 +0100

util-linux (2.30.2-0.3) unstable; urgency=medium

  * Fix build on hurd-i386 by restricting fallocate installation into
    the udeb to linux-any.

 -- Philipp Kern <pkern@debian.org>  Wed, 17 Jan 2018 04:43:45 -0500

util-linux (2.30.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship lsmem in /usr/bin and chmem in /usr/sbin (moved from s390-tools;
    Closes: #882003).
  * Ship fallocate in util-linux-udeb (Closes: #882001).


