=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: util-linux
 Build-Depends: bc <!stage1 !nocheck>,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dh-exec (>= 0.13),
                dpkg-dev (>= 1.17.14),
                gettext,
@@ -18,17 +18,16 @@
                socat <!stage1 !nocheck>,
                systemd [linux-any] <!stage1>,
                bison,
-               zlib1g-dev
+               zlib1g-dev,
+               libaudit-dev
 Section: base
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
-Uploaders: LaMont Jones <lamont@debian.org>,
-           Andreas Henriksson <andreas@fatal.se>,
-           Adam Conrad <adconrad@0c3.net>
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkg-util-linux.git/
-Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-util-linux.git
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
+Uploaders: Adam Conrad <adconrad@0c3.net>
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/debian/util-linux
+Vcs-Git: https://salsa.debian.org/debian/util-linux.git
 
 Package: util-linux
 Architecture: any
@@ -40,14 +39,14 @@
 Suggests: dosfstools, kbd | console-tools, util-linux-locales
 Replaces: bash-completion (<< 1:2.1-4.1~),
           sysvinit-utils (<< 2.88dsf-59.1~),
-          s390-tools (<< 1.37.0-0ubuntu7~),
           initscripts (<< 2.88dsf-59.2~),
-          mount (<< 2.30.1-0ubuntu4~)
+          mount (<< 2.29.2-3~),
+          s390-tools (<< 1.37.0-0ubuntu7~)
 Breaks: bash-completion (<< 1:2.1-4.1~),
           grml-debootstrap (<< 0.68),
           sysvinit-utils (<< 2.88dsf-59.4~),
-          s390-tools (<< 1.37.0-0ubuntu7~),
-          mount (<< 2.30.1-0ubuntu4~)
+          mount (<< 2.29.2-3~),
+          s390-tools (<< 1.37.0-0ubuntu7~)
 Multi-Arch: foreign
 Description: miscellaneous system utilities
  This package contains a number of important utilities, most of which
@@ -73,7 +72,7 @@
 Package: mount
 Architecture: linux-any
 Build-Profiles: <!stage1>
-Important: yes
+XB-Important: yes
 Section: admin
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
 Depends: ${misc:Depends}, util-linux (>= 2.30.1-0ubuntu4~)
@@ -104,7 +103,7 @@
 Package: fdisk
 Architecture: any
 Build-Profiles: <!stage1>
-Important: yes
+XB-Important: yes
 Section: utils
 Priority: important
 Pre-Depends: ${misc:Pre-Depends}
@@ -137,6 +136,7 @@
 Package: libblkid1
 Architecture: any
 Section: libs
+Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -181,6 +181,7 @@
 Package: libfdisk1
 Architecture: any
 Section: libs
+Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -220,6 +221,7 @@
 Package: libmount1
 Architecture: any
 Section: libs
+Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -254,6 +256,7 @@
 Package: libsmartcols1
 Architecture: any
 Section: libs
+Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -287,6 +290,7 @@
 Package: libuuid1
 Architecture: any
 Section: libs
+Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: uuid-runtime
@@ -338,3 +342,5 @@
  .
  This is a minimal package for debian-installer.
 
+Package: uuid-dev
+Architecture: any
