=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 CONFOPTS += --libdir=/lib/$(DEB_HOST_MULTIARCH)
 CONFOPTS += --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-CONFOPTS += --localstatedir=/run
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFOPTS += --enable-raw
 CONFOPTS += --with-selinux
 CONFOPTS += --enable-partx
+CONFOPTS += --with-audit
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev
 else
@@ -109,10 +109,6 @@
 	done
 	#
 	rm -rf debian/*-udeb/usr/share/doc
-	# automatically trim SSD drives
-	if [ -f debian/util-linux/sbin/fstrim ] ; then \
-	    install -D -m 755 debian/fstrim-all.cron debian/util-linux/etc/cron.weekly/fstrim; \
-	fi
 
 override_dh_installman:
 	dh_installman --language=C
@@ -124,15 +120,22 @@
 	dh_gencontrol --remaining-packages
 
 override_dh_installinit:
+	# hwclock works on all Linux architectures, except s390
+	# (and s390x, of course).
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+ifeq (,$(findstring s390,$(DEB_HOST_ARCH)))
 	# install /etc/init.d/hwclock.sh
 	# - update-rc.d manually handled in maintainers scripts as there
 	#   is special per-arch considerations.
 	dh_installinit --name=hwclock.sh --noscripts
+endif
+endif
 	# install uuidd sysvinit script
 	make misc-utils/uuidd.rc
 	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
 	dh_installinit --name=uuidd --restart-after-upgrade
 	rm -f debian/uuid-runtime.uuidd.init
+	dh_installsystemd --package=util-linux fstrim.timer
 
 override_dh_installpam:
 	dh_installpam --package=util-linux --name=runuser
@@ -156,6 +159,12 @@
 override_dh_fixperms:
 	dh_fixperms -i -a -Xusr/bin/wall -Xbin/mount -Xbin/umount
 
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+override_dh_installsystemd:
+	dh_installsystemd -putil-linux --no-enable --no-start fstrim.timer fstrim.service
+	dh_installsystemd --remaining-packages
+endif
+
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_auto_test --max-parallel=1
