=== debian/tests/control ===
Tests: oversized-chunks
Depends: bash, bsdmainutils, dpkg, grep, bc, util-linux, bsdutils, mount
